Status: Closed Start date: 29 Oct 2020

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Manual/documentation Estimated time: 2.44 hours

Target version: CoCoA-5.4.0 Spent time: 2.40 hours

Description

I'm cleaning the manual for a homogeous straightforward style for obsolete/obsolescent entries.

Mainly it should just give a link to the replacement function (and say if it's a simple renaming), or explain why it's obsolete and/or how

to replace the call in the best way.

Related issues:

Related to CoCoA-5 - Feature #1526: EmacsUI: help/manual for selected string ... Closed 29 Oct 2020

Related to CoCoALib - Design #854: Function MakeTermOrd should be renamed Mak... Closed 24 Mar 2016

History

#1 - 29 Oct 2020 17:04 - Anna Maria Bigatti

The section "see also" is handy only for the online version.

Remove them.

Think of an easy way to call the manual on a string in the EmacsUI from the cocoa5 buffer.

#2 - 29 Oct 2020 17:44 - Anna Maria Bigatti

- Related to Feature #1526: EmacsUI: help/manual for selected string -- or just for word with cursor on? added

#3 - 29 Oct 2020 17:50 - Anna Maria Bigatti

- Target version changed from CoCoA-5.4.2 to CoCoA-5.4.0

This is how the renamed ones should look like

<!-- ===  COMMAND  =============================================== -->

<command>

  <title>AffPoincare [OBSOLESCENT]</title>

  <short_description>[OBSOLESCENT] Renamed AffHilbertSeries</short_description>

<description>

Renamed <ttref>AffHilbertSeries</ttref>.

</description>

</command>

#4 - 29 Oct 2020 18:18 - Anna Maria Bigatti

- Status changed from New to In Progress
- % Done changed from 20 to 40

Done up to letter P

#5 - 30 Oct 2020 16:11 - Anna Maria Bigatti

Possibly add the year

#6 - 14 Feb 2022 17:26 - Anna Maria Bigatti

Anna Maria Bigatti wrote:

Possibly add the year

 

The release/date is now shown when the function is called (see obsoloscent.cpkg5) for both obsolete and obsolescent functions.

1 - obsoloscent.cpkg5 is easier to maintain up-to-date because less tedious to do.

2 - Moreover the user is more likely to read an error/warning message than the manual, especially when the message says "this was changed a

looong time ago" ;-)

Duplicating info is usually a bad idea, so I would not care much about adding the obsolescence-year in the manual.

#7 - 14 Feb 2022 17:27 - Anna Maria Bigatti

- % Done changed from 40 to 70

#8 - 14 Feb 2022 18:11 - Anna Maria Bigatti

- Related to Design #854: Function MakeTermOrd should be renamed MakeTermOrdMat? added

#9 - 18 Feb 2022 17:01 - John Abbott

- Status changed from In Progress to Closed

- % Done changed from 70 to 100

- Estimated time changed from 4.00 h to 2.44 h
